Salary.com
Home API MCP
Home
API
Welcome to the Salary.com API
Data as a Service CompAnalyst and JobArchitect

Data as a Service

Introduction & AI
Behavior Request Field Definitions Response Field Definitions Match a Job POST Batch Match Jobs POST Match a Job (Verbose) POST Batch Match Jobs (Verbose) POST
Behavior Request Field Definitions Response Field Definitions Match a Job POST Match a Job (Verbose) POST

CompAnalyst

Get an Employee GET Get Employee List GET Create an Employee POST Update an Employee PUT Delete an Employee DELETE
Get a Company Job GET Get Company Job List GET Create a Company Job POST Update a Company Job PUT
Get Composite List GET Get Composite by Job Code GET

JobArchitect

Get Job Description List GET Get a Job Description Details GET
Get Skills GET

Reference

Employees Company Jobs Salary Plan Competencies Composites JobArchitect Skills
Change Log
MCP
Welcome to Salary.com MCP Authentication

CompAnalyst Market Data Tools

Overview
getMarketRate getBenchmarkJobDetails findBenchmarkMatches compareToMarket Shared Fields & Filters

SalaryIQ Labor Market Tools

Overview
getPostingTrends getTrendingSkills getHiringCompanies summarizeLaborMarket Shared Fields & Filters

Reference

Resources
×
Back
Welcome to the Salary.com API Authentication
Data as a Service CompAnalyst and JobArchitect

Data as a Service

Introduction & AI Market Data Job Match API
Behavior Request Field Definitions Response Field Definitions Match a Job POST Batch Match Jobs POST Match a Job (Verbose) POST Batch Match Jobs (Verbose) POST
Posting Data Job Match API
Behavior Request Field Definitions Response Field Definitions Match a Job POST Match a Job (Verbose) POST

CompAnalyst

Employees
Get an Employee GET Get Employee List GET Create an Employee POST Update an Employee PUT Delete an Employee DELETE
Company Jobs
Get a Company Job GET Get Company Job List GET Create a Company JobPOST Update a Company Job PUT
Composites
Get Composite ListGET Get Composite by Job CodeGET

JobArchitect

Jobs
Get Job Description List GET Get a Job Description Details GET
Skills
Get Skills GET

Reference

Field Definitions
Employees Company Jobs Salary Plan Competencies Composites JobArchitect Skills
Change Log

Get Job Description List

GET/cloud/Data/V1/JobArchitectList

User can get a list of JA "official" job descriptions where CompanyJobCode is not blank.

URL

https://companalystapi.salary.com/cloud/Data/V1/JobArchitectList

Method

GET

Request Headers

Authorization: Bearer {AccessToken}

Glossary

Refer to JobArchitect

Request Parameters

IsReturnLastApprovedVersion : the default value when this parameter is not passed is 1. This means only approved job descriptions are returned. Set IsReturnLastApprovedVersion=0 to return all job descriptions.

ReturnDataAfterDate and ReturnDataBeforeDate: identify the return data date ranges, default show blank, so return all of the job description job list.

  • If neither ReturnDataAfterDate nor ReturnDataBeforeDate provided, please return all of the job description job list data.
  • If both ReturnDataAfterDate and ReturnDataBeforeDate provided, please return data approved/updated > ReturnDataAfterDate and approved/updated < ReturnDataBeforeDate
  • If only ReturnDataAfterDate is provided, please return data approved/updated > ReturnDataAfterDate
  • If only ReturnDataBeforeDate is provided, please return data approved/updated < ReturnDataBeforeDate

IsReturnUDFs and ReturnUDFFields : the job description list if return UDF field to user. Default IsReturnUDFs=0, do not return UDFs.
If IsReturnUDFs=1, return UDFs filter by the ReturnUDFFields, please use “|||” to separate them. If ReturnUDFField is empty, return all UDFs.

IsReturnInactive: The job description list if return inactive jobs data. Default= 0, means only return active job descriptions data. If =1, please return both active and inactive job descriptions data.

Example Request

curl --request GET \
  --url https://companalystapi.salary.com/cloud/Data/V1/JobArchitectList?IsReturnLastApprovedVersion1&ReturnDataAfterDate=1/1/2024&ReturnDataBeforeDate=3/1/2024&IsReturnUDFs=1&ReturnUDFFields= Education Detail ||| Essential Duties and Responsibilities &IsReturnInactive=0
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Model

The response will provide below fields,

[
{
    "JDMJobDescHistoryID": "JDM Job Desc History ID",
    "JDMJobID": "Job Description ID",
    "CompanyJobCode": "Company Job Code",
    "CompanyJobTitle": "Company Job Title",
    "LastUpdateDate": "Last Update Date",
    "LastUpdateByUName": "Last Update By UName",
    "LastUpdateByEmail": "Last Update By Email",
    "IsActive": "IsActive",
    "CompanyJobDescStatusDesc": "Company Job Desc Status Desc",
    "LastApprovedDate": "Last Approved Date",
    "LastApprovedByUName": "Last Approved By UName",
    "JobFLSAStatusDesc": "Job FLSA Status Desc",
    "JobLevel": "Job Level",
    "JobFamily": "Job Family",
    "[UDF_UDF Friendly Name 1]": "[UDF Value 1]",
    "[UDF_UDF Friendly Name 2]": "[UDF Value 2]",
    "...More UDFs if any..."
}
]

Successful call with data

200: OK -The request was successful, and the detailed job description list are returned as expected.

[
  {
    "JDMJobDescHistoryID": 1324,
    "JDMJobID": 2,
    "CompanyJobCode": " FN5502",
    "CompanyJobTitle": "'Accountant I - AUI'",
    "LastUpdateDate": "24 Apr 2024",
    "LastUpdateByUName": " Christina Aton",
    "LastUpdateByEmail": "christina.aton@salary.com",
    "IsActive": true,
    "CompanyJobDescStatusDesc": "Approved",
    "LastApprovedDate": "24 Apr 2024",
    "LastApprovedByUName": "Christina Aton",
    "JobFLSAStatusDesc": "Exempt",
    "JobLevel":"01", ,
    "JobFamily": "Administrative",
    "UDF_Education Detail": "Bachelor’s degree",
    "UDF_Essential Duties and Responsibilities": ["Prepare month-end close entries in support of monthly financial statements", "Prepare monthly account reconciliations for assigned accounts and resolve outstanding items as required", "Assist with travel expense voucher review"]
  },
  {
    "JDMJobDescHistoryID": 1315,
    "JDMJobID": 1030,
    "CompanyJobCode": " AD5501",
    "CompanyJobTitle": "Librarian",
    "LastUpdateDate": "17 Jul 2023",
    "LastUpdateByUName": "Sandy Moore",
    "LastUpdateByEmail": "sandy.moore@salary.com",
    "IsActive": true,
    "CompanyJobDescStatusDesc": "Approved",
    "LastApprovedDate": "22 Apr 2024",
    "LastApprovedByUName": "Christina Aton",
    "JobFLSAStatusDesc": "Exempt",
    "JobLevel": "02",
    "JobFamily": "Administrative",
    "UDF_Education Detail": "Bachelor’s degree",
    "UDF_Essential Duties and Responsibilities": ["Perform other duties and participate in special projects as assigned", "test"]
  }  
]

Successful call without data

200: OK - the requested job description data does not exist in CompAnalyst

{
    "WEBAPIStatusCode": 1,
    "WEBAPIStatus": "This jobarchitect does not exist."
}

Failed call

400: Bad Request – User use wrong parameters, or incorrect format of the call parameters.

{
    "StatusCode": 400,
    "Reason": "Bad Request"
}

404: Not Found – Invalid URL call used

{  
    "StatusCode": 41,
    "Reason": "Invalid WEB API"
}

© Copyright Salary.com 2026. All Rights Reserved.

Privacy Policy/California Privacy Rights | Legal | Accessibility | Terms of Use | Do Not Sell or Share My Information